package org.jk.rag.mapper;


import org.jk.rag.domain.dto.JkQuestionDTO;
import org.jk.rag.domain.entity.JkQuestion;

import java.util.List;

public interface JkQuestionMapper {

    List<JkQuestionDTO> getQuestionList(String appId);

    int insertQuestion(JkQuestion vo);

    int updateQuestion(JkQuestion vo);

    int delQuestion(String id);

    JkQuestion selectQuestionById(String id);

    int delQuestionByAppId(String appId);


}
